#php_flag display_errors off
#
#php_value upload_max_filesize 200M
#php_value max_file_uploads 200
#php_value post_max_size 2000M
#
RewriteEngine on

RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_FILENAME} !-f


RewriteRule ^blogpost/?$	index.php?section=BlogPosts [L,QSA]
RewriteRule ^blogpost/edit/([^/]+)/([^/]+)/([^/]+)/?$	index.php?section=BlogPost&type_visual_block=$1&item_id=$2&token=$3 [L,QSA]
RewriteRule ^blogpost/add/([^/]+)/([^/]+)/?$	index.php?section=BlogPost&type_visual_block=$1&token=$2 [L,QSA]
RewriteRule ^blogpost/delete/([^/]+)/([^/]+)/?$	index.php?section=BlogPosts&item_id=$1&token=$2&act=delete_post [L,QSA]
RewriteRule ^blogpost/enable/([^/]+)/([^/]+)/?$	index.php?section=BlogPosts&enable_post=$1&token=$2&act=delete_post [L,QSA]
RewriteRule ^blogpost/save/([^/]+)/([^/]+)/?$	index.php?section=BlogPost&action=save&token=$1&item_id=$2 [L,QSA]
RewriteRule ^blogpost/save/([^/]+)/?$	index.php?section=BlogPost&action=save&token=$1 [L,QSA]

RewriteRule ^news/?$	index.php?section=NewsItems [L,QSA]
RewriteRule ^plots/?$	index.php?section=Plots [L,QSA]
RewriteRule ^block_announcement/?$	index.php?section=BlockAnnouncements [L,QSA]
RewriteRule ^news/edit/([^/]+)/([^/]+)/?$	index.php?section=NewsItem&item_id=$1&token=$2 [L,QSA]
RewriteRule ^plots/edit/([^/]+)/([^/]+)/?$	index.php?section=Plot&item_id=$1&token=$2 [L,QSA]
RewriteRule ^block_announcement/edit/([^/]+)/([^/]+)/?$	index.php?section=BlockAnnouncement&item_id=$1&token=$2 [L,QSA]

# Авторизация и логаут
RewriteRule ^login/?$	index.php?section=Login [L,QSA]
RewriteRule ^logout/?$	index.php?section=Login&action=logout [L,QSA]

RewriteRule ^user/changepassword/?$	index.php?section=Login&action=changepassword [L,QSA]

RewriteRule ^api/relatet-post-data/?$	ajax/get_posts_to_relate.php [L,QSA]

RewriteRule ^api/v1/block?$	api/block.php [L,QSA]
RewriteRule ^api/v1/post?$	api/post.php [L,QSA]
RewriteRule ^api/v1/group?$	api/group.php [L,QSA]
RewriteRule ^api/v1/main-page?$	api/main_page.php [L,QSA]

RewriteRule ^api/v1/galleries/?$	api/showGallery.php [L,QSA]
RewriteRule ^api/v1/galleries/([^/]+)/?$	api/fotoramaContent.php?gallery_id=$1 [L,QSA]
RewriteRule ^api/v1/file-manager?$	api/filemanager.php [L,QSA]
